import { SegmentInput } from './runtime/registry/segment.ts';
import { PlausibleAnalyticsInput } from './runtime/registry/plausible-analytics.ts';
import { GoogleAnalyticsInput } from './runtime/registry/google-analytics.ts';
import { RegistryScripts } from './runtime/types.ts';

declare function GoogleAnalyticsScriptResolver(options?: GoogleAnalyticsInput): string;
declare function PlausibleAnalyticsScriptResolver(options: PlausibleAnalyticsInput): string;
declare function CloudflareWebAnalyticsScriptResolver(): string;
declare function SegmentScriptResolver(options: SegmentInput): string;
declare function MetaPixelScriptResolver(): string;
declare const registry: (resolve?: (s: string) => string) => RegistryScripts;

export { CloudflareWebAnalyticsScriptResolver, GoogleAnalyticsScriptResolver, MetaPixelScriptResolver, PlausibleAnalyticsScriptResolver, SegmentScriptResolver, registry };
